1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

I NEED HELP!!!!!

Discussion in 'Sony PSP - Mod and firmware discussion' started by Jake911, May 22, 2007.

  1. Jake911

    Jake911 Member

    Joined:
    May 22, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    Can i update my psp safely by using a game after i downgraded it to a 1.5
     
  2. hodzic

    hodzic Member

    Joined:
    May 22, 2007
    Messages:
    77
    Likes Received:
    0
    Trophy Points:
    16
    why would u do that....
    jus get 3.40 oe-a easy installer
    i highly recommend it, and so far every psp game works on it

    but yes u can upgrade,,,,unrecommended tho
     
  3. Jake911

    Jake911 Member

    Joined:
    May 22, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    well i mainly want do do it so i can put windows vista on it...
     
  4. surfgeko

    surfgeko Member

    Joined:
    Aug 14, 2006
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    16
    ummmm..... what?
    you are probably thinking of an internet portal, or a modded XMB (which is only avalible in a custom FW anyway)
     
  5. Jake911

    Jake911 Member

    Joined:
    May 22, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    oh.... so with a portal i still need to upgrade it....right
     
  6. chanman1

    chanman1 Regular member

    Joined:
    Feb 6, 2006
    Messages:
    1,705
    Likes Received:
    0
    Trophy Points:
    46
    Thats what he just said. Besides, SOny doesn't want you doing stuff with their PSP except for umds
     
  7. Jake911

    Jake911 Member

    Joined:
    May 22, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    who cares what sony says! so what do you reccommend. UMD or 3.40 oe-a
     
  8. Jake911

    Jake911 Member

    Joined:
    May 22, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    all i want to do is use it for a internet portal
     
  9. glenquag

    glenquag Regular member

    Joined:
    Mar 7, 2007
    Messages:
    1,879
    Likes Received:
    0
    Trophy Points:
    46
    you can use the internet portal on any firmware above and 2.00..reccomend getting 3.40oe-a though because It's way cooler=P
     
  10. Jake911

    Jake911 Member

    Joined:
    May 22, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    haha ok

    what does it have that the 3.03 doest??!?!?
     
  11. davidmacn

    davidmacn Member

    Joined:
    Apr 25, 2007
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    16
    Newer firmware, I strongly recommend 3.03 OE-C or 3.30 OE-A. I haven't tried 3.40 because some say its buggy
     
  12. chanman1

    chanman1 Regular member

    Joined:
    Feb 6, 2006
    Messages:
    1,705
    Likes Received:
    0
    Trophy Points:
    46
    I don't care what Sony says. I'm just saying that they probably wouldn't let you use stuff they didn't make for the PSP, hence, why it probably doesn't work
     
  13. hodzic

    hodzic Member

    Joined:
    May 22, 2007
    Messages:
    77
    Likes Received:
    0
    Trophy Points:
    16
    ive been on 3.40 since it came out...so far so good....the only problem i had was for some reason when i installed 3.40 oe it enabled everything in recovry>advanced>advanced so i wasnt able to play iso,,,,but i figured it out eventually
     

Share This Page